SOGo | BTS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001328SOGoBackend Calendarpublic2011-06-01 04:012013-10-18 13:17
Reporteranaribas 
Assigned Toludovic 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.3.6 
Target Version2.1.0Fixed in Version2.1.0 
Summary0001328: We can't accept invitations sent to a group if the group don't have the email address in the mail field
DescriptionThe FAQ says: Groups have to be defined in an LDAP server and must have an email address but doesn't say nothing about the email address must to be defined in the mail field.
I've defined which is my email field in the MailFieldNames in the configuration file but if it is different than mail doesn't seem work correctly.
If the email address is defined in the mail field, SOGo send the invitacions to every member of group but in other case, the invitacion is sent to the email address.
Then I've receive the invitation but I can't accept. The message says: You receive this mail as a notification, you are not scheduled as a participant.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0002563)
anaribas (reporter)
2011-06-10 03:54

Do you have an estimate of when it will be solved?
User avatar (0006060)
ludovic (administrator)
2013-09-27 11:05

Culprit code:

- (NGLdapEntry *) lookupGroupEntryByEmail: (NSString *) theEmail
{
#warning We should support MailFieldNames
  return [self lookupGroupEntryByAttribute: @"mail"
                                  andValue: theEmail];
}
User avatar (0006133)
ludovic (administrator)
2013-10-18 13:17

https://github.com/inverse-inc/sogo/commit/656869a4a2e0572f9f4179707d3863860fa38632 [^]

- Issue History
Date Modified Username Field Change
2011-06-01 04:01 anaribas New Issue
2011-06-10 03:54 anaribas Note Added: 0002563
2013-09-27 11:05 ludovic Note Added: 0006060
2013-09-27 11:05 ludovic Target Version => 2.1.0
2013-10-18 13:17 ludovic Note Added: 0006133
2013-10-18 13:17 ludovic Status new => closed
2013-10-18 13:17 ludovic Assigned To => ludovic
2013-10-18 13:17 ludovic Resolution open => fixed
2013-10-18 13:17 ludovic Fixed in Version => 2.1.0


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker